tableOutput {shiny} | R Documentation

## Create a table output element

### Description

Render a `renderTable` or `renderDataTable` within an application page. `renderTable` uses a standard HTML table, while `renderDataTable` uses the DataTables Javascript library to create an interactive table with more features.

### Usage

    tableOutput(outputId)

    dataTableOutput(outputId)

### Arguments

`outputId` | output variable to read the table from

### Value

A table output element that can be included in a panel

### See Also

`renderTable`, `renderDataTable`.

### Examples

    ## Only run this example in interactive R sessions
    if (interactive()) {
      # table example
      shinyApp(
        ui = fluidPage(
          fluidRow(
            column(12,
              tableOutput('table')
            )
          )
        ),
        server = function(input, output) {
          output$table <- renderTable(iris)
        }
      )

      # DataTables example
      shinyApp(
        ui = fluidPage(
          fluidRow(
            column(12,
              dataTableOutput('table')
            )
          )
        ),
        server = function(input, output) {
          output$table <- renderDataTable(iris)
        }
      )
    }

[Package shiny version 0.13.2 Index]